iconvert(1)

NAME
iconvert -- copy images with format conversions and other alterations

SYNOPSIS
Usage:  iconvert [options] inputfile outputfile
 or:  iconvert --inplace [options] file...
  %*

DESCRIPTION
This program is part of the OpenImageIO (http://www.openimageio.org) tool suite. Detailed documentation is available in pdf format with the OpenImageIO distribution.

OPTIONS

--help
    Print help message

-v  Verbose status messages

--threads NTHREADS
    Number of threads (default 0 = #cores)

-d TYPE
    Set the output data format to one of:uint8, sint8, uint10, uint12, uint16, sint16, half, float, double

-g GAMMA
    Set gamma correction (default = 1.0)

--tile WIDTH HEIGHT
    Output as a tiled image

--scanline
    Output as a scanline image

--compression METHOD
    Set the compression method (default = same as input). Note: may be in the form "name:quality" --quality %d

--no-copy-image
    Do not use ImageOutput copy_image functionality (dbg)

--adjust-time
    Adjust file times to match DateTime metadata

--caption TEXT
    Set caption (ImageDescription)

--keyword NAME
    Add a keyword

--clear-keywords
    Clear keywords

--attrib NAME VALUE
    Set a string attribute

--orientation ORIENT
    Set the orientation

--rotcw
    Rotate 90 deg clockwise

--rotccw
    Rotate 90 deg counter-clockwise

--rot180
    Rotate 180 deg

--inplace
    Do operations in place on images

--sRGB
    This file is in sRGB color space

--separate
    Force planarconfig separate

--contig
    Force planarconfig contig

--no-clobber
    Do no overwrite existing files